# Gamebase Purchase IAP Adapter for Android

## Dependencies

| Module | Dependencies | Description |
| ------- | ------------ | ----------- |
| gamebase-adapter-purchase-iap | gamebase-sdk-base-{version}.aar | Gamebase Android SDK |
| | mobill-core-{version}.jar<br>iap-{version}.aar | TOAST Cloud IAP Android SDK |
| | gson-2.2.4.jar<br>okhttp-1.5.4.jar | IAP dependancies |
| | iap-tstore-{version}.jar<br>iap_tstore_plugin_v16.03.00_20161123.jar | ONE store dependancies |

## Release Note

| Date | IAP Adapter Version | Gamebase SDK Version | IAP SDK Version | Description |
| --- | --- | --- | --- | --- |
| 2017.03.09 | 1.0.0 | 1.0.0 | 1.3.2 | Initial version |
| 2017.03.21 | 1.1.0 | 1.1.0 | 1.3.2.20170119 | Update IAP for the 'ONGATE' provider |
| 2017.03.22 | 1.1.1 | 1.1.1 ~ 1.1.3 | 1.3.2.20170321 | Update IAP for the fixed empty 'currency' issue |
| 2017.04.21 | 1.1.3.1 | 1.1.3.1 | 1.3.2.20170321 | Add 'setStoreCode' API to change store code runtime |
| 2017.04.28 | 1.1.3.2 | 1.1.3.2 | 1.3.2.20170424 | Add error code for the 'not enought cash' error |
| 2017.05.23 | 1.1.4   | 1.1.4 ~ 1.1.4.1 | 1.3.2.20170424 | Update version |
| 2017.06.27 | 1.1.4.2 | 1.1.4.2 ~ | 1.3.3.20170627 | Update IAP SDK |
| 2017.07.19 | 1.1.5   | 1.1.5 ~   | 1.3.3.20170627 | Update version |